Bug 672939 - Text filter should match provided products, too
Summary: Text filter should match provided products, too
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-26 18:31 UTC by James Bowes
Modified: 2013-01-10 10:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:39:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description James Bowes 2011-01-26 18:31:57 UTC
Searching under all subscriptions only matches the main product for a subscription, it should match the provided products too.

Hightlight the search results in the sub list and details, so we know what/why we matched.

Comment 3 J.C. Molet 2011-01-27 17:27:36 UTC
fix causes traceback when anything is typed into the text filter.

python-2.6.5-3.el6.x86_64
subscription-manager-gnome-0.93.15-1.git.7.59ba6e9.el6.x86_64
subscription-manager-firstboot-0.93.15-1.git.7.59ba6e9.el6.x86_64
python-rhsm-0.94.15-1.git.0.b738ea1.el6.noarch
subscription-manager-0.93.15-1.git.7.59ba6e9.el6.x86_64


Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 211, in
contain_text_entry_changed
    self.display_pools()
  File "/usr/share/rhsm/gui/allsubs.py", line 153, in display_pools
    self.get_filter_text()),
  File "/usr/share/rhsm/gui/utils.py", line 87, in apply_highlight
    parts = re.split("(" + highlight + ")", text, flags=re.I)
TypeError: split() got an unexpected keyword argument 'flags'
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 211, in
contain_text_entry_changed
    self.display_pools()
  File "/usr/share/rhsm/gui/allsubs.py", line 153, in display_pools
    self.get_filter_text()),
  File "/usr/share/rhsm/gui/utils.py", line 87, in apply_highlight
    parts = re.split("(" + highlight + ")", text, flags=re.I)
TypeError: split() got an unexpected keyword argument 'flags'
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 211, in
contain_text_entry_changed
    self.display_pools()
  File "/usr/share/rhsm/gui/allsubs.py", line 153, in display_pools
    self.get_filter_text()),
  File "/usr/share/rhsm/gui/utils.py", line 87, in apply_highlight
    parts = re.split("(" + highlight + ")", text, flags=re.I)
TypeError: split() got an unexpected keyword argument 'flags'
Traceback (most recent call last):
  File "/usr/share/rhsm/gui/allsubs.py", line 211, in
contain_text_entry_changed
    self.display_pools()
  File "/usr/share/rhsm/gui/allsubs.py", line 153, in display_pools
    self.get_filter_text()),
  File "/usr/share/rhsm/gui/utils.py", line 87, in apply_highlight
    parts = re.split("(" + highlight + ")", text, flags=re.I)
TypeError: split() got an unexpected keyword argument 'flags'

Comment 4 J.C. Molet 2011-01-27 20:34:43 UTC
subscription-manager-gnome-0.93.15-1.git.9.27da614.el6.x86_64

as of this version, searches now work by filtering both subscription name and bundled products in a nice non case sensitive way.

Comment 5 errata-xmlrpc 2011-05-19 13:39:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.